summarylogtreecommitdiffstats
path: root/yash.install
diff options
context:
space:
mode:
Diffstat (limited to 'yash.install')
-rwxr-xr-xyash.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/yash.install b/yash.install
new file mode 100755
index 000000000000..b8ad816cd0a5
--- /dev/null
+++ b/yash.install
@@ -0,0 +1,11 @@
+post_install() {
+ grep -q '/usr/bin/yash' etc/shells || echo '/usr/bin/yash' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ sed -i '/^\/bin\/yash/d' etc/shells
+}